Create a reward

Creates a new reward in the loyalty program.

Authentication

api-keystring

The API key should be passed in the request headers as api-key for authentication.

Path parameters

pidstringRequiredformat: "uuid"
Loyalty Program ID

Request

This endpoint expects an object.
namestringRequired<=128 characters
Internal name of the reward
publicDescriptionstringOptional<=500 characters
Public facing description of the reward
publicImagestringOptionalformat: "uri"
URL of the public image for the reward
publicNamestringOptional<=128 characters
Public facing name of the reward

Response

Reward successfully created
idstringOptionalformat: "uuid"
Unique identifier for the reward
loyaltyProgramIdstringOptionalformat: "uuid"
Loyalty program to which the reward belongs
namestringOptional
Name of the reward
publicDescriptionstringOptional
Public description of the reward
publicImagestringOptional
Public image URL of the reward
publicNamestringOptional
Public name of the reward
createdAtdatetimeOptional
Timestamp when the reward was created
updatedAtdatetimeOptional
Timestamp when the reward was last updated

Errors

401
Unauthorized Error
403
Forbidden Error
422
Unprocessable Entity Error
500
Internal Server Error